org.apache.hadoop.hdfs.util

## Class LongBitFormat

- java.lang.Object
- - org.apache.hadoop.hdfs.util.LongBitFormat

- All Implemented Interfaces:
    Serializable

      public class LongBitFormat
      extends Object
      implements Serializable

  Bit format in a long.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `LongBitFormat.Enum`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LongBitFormat(String name, LongBitFormat previous, int length, long min)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `combine(long value, long record)` Combine the value to the record.
    `int` | `getLength()`
    `long` | `getMin()`
    `long` | `retrieve(long record)` Retrieve the value from the record.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LongBitFormat

          public LongBitFormat(String name,
                               LongBitFormat previous,
                               int length,
                               long min)

  - ### Method Detail

    - #### retrieve

          public long retrieve(long record)

      Retrieve the value from the record.

    - #### combine

          public long combine(long value,
                              long record)

      Combine the value to the record.

    - #### getMin

          public long getMin()

    - #### getLength

          public int getLength()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.